package com.ruoyi.dhc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 品牌对象 dhc_brand
 * 
 * @author ruoyi
 * @date 2024-07-29
 */
public class DhcBrand extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 品牌id */
    private Long brandId;

    /** 品牌编码 */
    @Excel(name = "品牌编码")
    private String brandCode;

    /** 品牌名称 */
    @Excel(name = "品牌名称")
    private String brandName;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setBrandId(Long brandId) 
    {
        this.brandId = brandId;
    }

    public Long getBrandId() 
    {
        return brandId;
    }
    public void setBrandCode(String brandCode) 
    {
        this.brandCode = brandCode;
    }

    public String getBrandCode() 
    {
        return brandCode;
    }
    public void setBrandName(String brandName) 
    {
        this.brandName = brandName;
    }

    public String getBrandName() 
    {
        return brandName;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("brandId", getBrandId())
            .append("brandCode", getBrandCode())
            .append("brandName", getBrandName())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
