package com.ruoyi.dhc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 产品线-区域类型-区域层级关系对象 dhc_product_line_area
 * 
 * @author ruoyi
 * @date 2024-07-30
 */
public class DhcProductLineArea extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 产品线编码 */
    private String productLineCode;

    /** 区域类型 */
    private String areaType;

    /** 区域层级 */
    private String areaLevel;
    private String type;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setProductLineCode(String productLineCode)
    {
        this.productLineCode = productLineCode;
    }

    public String getProductLineCode() 
    {
        return productLineCode;
    }
    public void setAreaType(String areaType) 
    {
        this.areaType = areaType;
    }

    public String getAreaType() 
    {
        return areaType;
    }
    public void setAreaLevel(String areaLevel) 
    {
        this.areaLevel = areaLevel;
    }

    public String getAreaLevel() 
    {
        return areaLevel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productLineCode", getProductLineCode())
            .append("areaType", getAreaType())
            .append("areaLevel", getAreaLevel())
            .toString();
    }
}
