package com.ruoyi.dhc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 生产基地与产品线关系对象 dhc_production_base_line
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
public class DhcProductionBaseLine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 产品线编码 */
    private String productLineCode;

    /** 生成基地编码 */
    private String productionBaseCode;

    public void setProductLineCode(String productLineCode) 
    {
        this.productLineCode = productLineCode;
    }

    public String getProductLineCode() 
    {
        return productLineCode;
    }
    public void setProductionBaseCode(String productionBaseCode) 
    {
        this.productionBaseCode = productionBaseCode;
    }

    public String getProductionBaseCode() 
    {
        return productionBaseCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productLineCode", getProductLineCode())
            .append("productionBaseCode", getProductionBaseCode())
            .toString();
    }
}
