package com.ruoyi.dhc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据权限明细对象 dhc_data_auth_detail
 * 
 * @author ruoyi
 * @date 2024-08-01
 */
public class DhcDataAuthDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据权限ID */
    private Long dataAuthId;

    /** 类型（0区域 1.客户） */
    private String detailType;

    /** 权限明细编码 */
    private String detailCode;

    /** 权限明细名称 */
    @Excel(name = "权限明细名称")
    private String detailName;

    public void setDataAuthId(Long dataAuthId) 
    {
        this.dataAuthId = dataAuthId;
    }

    public Long getDataAuthId() 
    {
        return dataAuthId;
    }
    public void setDetailType(String detailType) 
    {
        this.detailType = detailType;
    }

    public String getDetailType() 
    {
        return detailType;
    }
    public void setDetailCode(String detailCode) 
    {
        this.detailCode = detailCode;
    }

    public String getDetailCode() 
    {
        return detailCode;
    }
    public void setDetailName(String detailName) 
    {
        this.detailName = detailName;
    }

    public String getDetailName() 
    {
        return detailName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataAuthId", getDataAuthId())
            .append("detailType", getDetailType())
            .append("detailCode", getDetailCode())
            .append("detailName", getDetailName())
            .toString();
    }
}
