package com.ruoyi.dhc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 产品属性定义对象 dhc_product_property_def
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
public class DhcProductPropertyDef extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 属性定义ID */
    private Long productPropertyDefId;

    /** 分组名称 */
    @Excel(name = "分组名称")
    private String groupName;

    /** 属性名称 */
    @Excel(name = "属性名称")
    private String propertyName;

    /** 属性类型(INT,TEXT,ENUM,DATE) */
    @Excel(name = "属性类型(INT,TEXT,ENUM,DATE)")
    private String propertyType;

    /** 属性关联数据字典CODE */
    @Excel(name = "属性关联数据字典CODE")
    private String propertyDictCode;

    /** 字段名称（字段英文标识符，用于与外围系统交互） */
    @Excel(name = "字段名称", readConverterExp = "字=段英文标识符，用于与外围系统交互")
    private String fieldName;

    /** 备注 */
    @Excel(name = "备注")
    private String memo;

    public void setProductPropertyDefId(Long productPropertyDefId) 
    {
        this.productPropertyDefId = productPropertyDefId;
    }

    public Long getProductPropertyDefId() 
    {
        return productPropertyDefId;
    }
    public void setGroupName(String groupName) 
    {
        this.groupName = groupName;
    }

    public String getGroupName() 
    {
        return groupName;
    }
    public void setPropertyName(String propertyName) 
    {
        this.propertyName = propertyName;
    }

    public String getPropertyName() 
    {
        return propertyName;
    }
    public void setPropertyType(String propertyType) 
    {
        this.propertyType = propertyType;
    }

    public String getPropertyType() 
    {
        return propertyType;
    }
    public void setPropertyDictCode(String propertyDictCode) 
    {
        this.propertyDictCode = propertyDictCode;
    }

    public String getPropertyDictCode() 
    {
        return propertyDictCode;
    }
    public void setFieldName(String fieldName) 
    {
        this.fieldName = fieldName;
    }

    public String getFieldName() 
    {
        return fieldName;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productPropertyDefId", getProductPropertyDefId())
            .append("groupName", getGroupName())
            .append("propertyName", getPropertyName())
            .append("propertyType", getPropertyType())
            .append("propertyDictCode", getPropertyDictCode())
            .append("fieldName", getFieldName())
            .append("memo", getMemo())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
