package com.ruoyi.dhc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 产品属性模板关联对象 dhc_product_property_table_rel
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
public class DhcProductPropertyTableRel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 区域id */
    private Long productPropertyTableRelId;

    /** 产品id */
    @Excel(name = "产品id")
    private Long productId;

    /** 产品属性模板id */
    @Excel(name = "产品属性模板id")
    private Long productPropertyTableId;

    /** 使用的版本号 */
    @Excel(name = "使用的版本号")
    private Long revision;

    public void setProductPropertyTableRelId(Long productPropertyTableRelId) 
    {
        this.productPropertyTableRelId = productPropertyTableRelId;
    }

    public Long getProductPropertyTableRelId() 
    {
        return productPropertyTableRelId;
    }
    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }
    public void setProductPropertyTableId(Long productPropertyTableId) 
    {
        this.productPropertyTableId = productPropertyTableId;
    }

    public Long getProductPropertyTableId() 
    {
        return productPropertyTableId;
    }
    public void setRevision(Long revision) 
    {
        this.revision = revision;
    }

    public Long getRevision() 
    {
        return revision;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productPropertyTableRelId", getProductPropertyTableRelId())
            .append("productId", getProductId())
            .append("productPropertyTableId", getProductPropertyTableId())
            .append("revision", getRevision())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
