package com.ruoyi.dhc.service;

import java.util.List;
import com.ruoyi.dhc.domain.DhcProductPropertyTableDetail;

/**
 * 产品属性模板属性Service接口
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
public interface IDhcProductPropertyTableDetailService 
{
    /**
     * 查询产品属性模板属性
     * 
     * @param productPropertyTableDetailId 产品属性模板属性主键
     * @return 产品属性模板属性
     */
    public DhcProductPropertyTableDetail selectDhcProductPropertyTableDetailByProductPropertyTableDetailId(Long productPropertyTableDetailId);

    /**
     * 查询产品属性模板属性列表
     * 
     * @param dhcProductPropertyTableDetail 产品属性模板属性
     * @return 产品属性模板属性集合
     */
    public List<DhcProductPropertyTableDetail> selectDhcProductPropertyTableDetailList(DhcProductPropertyTableDetail dhcProductPropertyTableDetail);

    /**
     * 新增产品属性模板属性
     * 
     * @param dhcProductPropertyTableDetail 产品属性模板属性
     * @return 结果
     */
    public int insertDhcProductPropertyTableDetail(DhcProductPropertyTableDetail dhcProductPropertyTableDetail);

    /**
     * 修改产品属性模板属性
     * 
     * @param dhcProductPropertyTableDetail 产品属性模板属性
     * @return 结果
     */
    public int updateDhcProductPropertyTableDetail(DhcProductPropertyTableDetail dhcProductPropertyTableDetail);

    /**
     * 批量删除产品属性模板属性
     * 
     * @param productPropertyTableDetailIds 需要删除的产品属性模板属性主键集合
     * @return 结果
     */
    public int deleteDhcProductPropertyTableDetailByProductPropertyTableDetailIds(Long[] productPropertyTableDetailIds);

    /**
     * 删除产品属性模板属性信息
     * 
     * @param productPropertyTableDetailId 产品属性模板属性主键
     * @return 结果
     */
    public int deleteDhcProductPropertyTableDetailByProductPropertyTableDetailId(Long productPropertyTableDetailId);
}
