package com.ruoyi.dhc.mapper;

import java.util.List;
import com.ruoyi.dhc.domain.DhcProductLineArea;

/**
 * 产品线-区域类型-区域层级关系Mapper接口
 * 
 * @author ruoyi
 * @date 2024-07-30
 */
public interface DhcProductLineAreaMapper 
{
    /**
     * 查询产品线-区域类型-区域层级关系
     * 
     * @param productLineCode 产品线-区域类型-区域层级关系主键
     * @return 产品线-区域类型-区域层级关系
     */
    public DhcProductLineArea selectDhcProductLineAreaByProductLineCode(String productLineCode);

    /**
     * 查询产品线-区域类型-区域层级关系列表
     * 
     * @param dhcProductLineArea 产品线-区域类型-区域层级关系
     * @return 产品线-区域类型-区域层级关系集合
     */
    public List<DhcProductLineArea> selectDhcProductLineAreaList(DhcProductLineArea dhcProductLineArea);

    /**
     * 新增产品线-区域类型-区域层级关系
     * 
     * @param dhcProductLineArea 产品线-区域类型-区域层级关系
     * @return 结果
     */
    public int insertDhcProductLineArea(DhcProductLineArea dhcProductLineArea);

    /**
     * 修改产品线-区域类型-区域层级关系
     * 
     * @param dhcProductLineArea 产品线-区域类型-区域层级关系
     * @return 结果
     */
    public int updateDhcProductLineArea(DhcProductLineArea dhcProductLineArea);

    /**
     * 删除产品线-区域类型-区域层级关系
     * 
     * @param dhcProductLineArea 产品线-区域类型-区域层级关系主键
     * @return 结果
     */
    public int deleteDhcProductLineArea(DhcProductLineArea dhcProductLineArea);

    /**
     * 批量删除产品线-区域类型-区域层级关系
     * 
     * @param productLineCodes 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDhcProductLineAreaByProductLineCodes(String[] productLineCodes);
}
