package com.ruoyi.dhc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 数据权限对象 dhc_data_auth
 * 
 * @author ruoyi
 * @date 2024-08-01
 */
public class DhcDataAuth extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据权限ID */
    private Long dataAuthId;
    /** 用户ID */
    private Long userId;
    /** 部门ID */
    @Excel(name = "部门ID")
    private Long deptId;

    /** 权限控制点 */
    @Excel(name = "部门树ID")
    private String deptAllId;

    /** 权限控制点 */
    @Excel(name = "部门树名称")
    private String deptAllName;

    /** 权限控制点 */
    @Excel(name = "权限控制点")
    private String authNode;

    /** 产品线编码 */
    @Excel(name = "产品线编码")
    private String productLineCode;

    /** 区域类型 */
    @Excel(name = "区域类型")
    private String areaType;

    /** 类型（0区域 1.客户） */
    private String detailType;

    /** 数据权限明细 */

    List<DhcDataAuthDetail> detailList;

    List<String> detailCodes;

    List<Long> deptIds;

    private String detailNames;

    private boolean editFlag;

    private List<Long> dataAuthIds;

    /** 用户账号 */
    private String userName;

    /** 用户昵称 */
    private String nickName;

    /** 手机号码 */
    private String phonenumber;

    private String areaCode;

    private String areaName;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public List<Long> getDataAuthIds() {
        return dataAuthIds;
    }

    public void setDataAuthIds(List<Long> dataAuthIds) {
        this.dataAuthIds = dataAuthIds;
    }

    public boolean getEditFlag() {
        return editFlag;
    }

    public void setEditFlag(boolean editFlag) {
        this.editFlag = editFlag;
    }

    public List<Long> getDeptIds() {
        return deptIds;
    }

    public void setDeptIds(List<Long> deptIds) {
        this.deptIds = deptIds;
    }

    public String getDetailNames() {
        return detailNames;
    }

    public void setDetailNames(String detailNames) {
        this.detailNames = detailNames;
    }

    public String getDeptAllId() {
        return deptAllId;
    }

    public void setDeptAllId(String deptAllId) {
        this.deptAllId = deptAllId;
    }

    public String getDeptAllName() {
        return deptAllName;
    }

    public void setDeptAllName(String deptAllName) {
        this.deptAllName = deptAllName;
    }

    public List<String> getDetailCodes() {
        return detailCodes;
    }

    public void setDetailCodes(List<String> detailCodes) {
        this.detailCodes = detailCodes;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getDetailType() {
        return detailType;
    }

    public void setDetailType(String detailType) {
        this.detailType = detailType;
    }

    public List<DhcDataAuthDetail> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<DhcDataAuthDetail> detailList) {
        this.detailList = detailList;
    }

    public void setDataAuthId(Long dataAuthId)
    {
        this.dataAuthId = dataAuthId;
    }

    public Long getDataAuthId() 
    {
        return dataAuthId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setAuthNode(String authNode) 
    {
        this.authNode = authNode;
    }

    public String getAuthNode() 
    {
        return authNode;
    }
    public void setProductLineCode(String productLineCode) 
    {
        this.productLineCode = productLineCode;
    }

    public String getProductLineCode() 
    {
        return productLineCode;
    }
    public void setAreaType(String areaType) 
    {
        this.areaType = areaType;
    }

    public String getAreaType() 
    {
        return areaType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataAuthId", getDataAuthId())
            .append("deptId", getDeptId())
            .append("authNode", getAuthNode())
            .append("productLineCode", getProductLineCode())
            .append("areaType", getAreaType())
            .toString();
    }
}
