package com.ruoyi.dhc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 产品属性模板对象 dhc_product_property_table
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
public class DhcProductPropertyTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 区域id */
    private Long productPropertyTableId;

    /** 显示名称 */
    @Excel(name = "显示名称")
    private String displayName;

    /** 当前版本 */
    @Excel(name = "当前版本")
    private Long headRevision;

    /** 分组定义JSON */
    @Excel(name = "分组定义JSON")
    private String groupJson;

    public void setProductPropertyTableId(Long productPropertyTableId) 
    {
        this.productPropertyTableId = productPropertyTableId;
    }

    public Long getProductPropertyTableId() 
    {
        return productPropertyTableId;
    }
    public void setDisplayName(String displayName) 
    {
        this.displayName = displayName;
    }

    public String getDisplayName() 
    {
        return displayName;
    }
    public void setHeadRevision(Long headRevision) 
    {
        this.headRevision = headRevision;
    }

    public Long getHeadRevision() 
    {
        return headRevision;
    }
    public void setGroupJson(String groupJson) 
    {
        this.groupJson = groupJson;
    }

    public String getGroupJson() 
    {
        return groupJson;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productPropertyTableId", getProductPropertyTableId())
            .append("displayName", getDisplayName())
            .append("headRevision", getHeadRevision())
            .append("groupJson", getGroupJson())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
