package com.ruoyi.dhc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 产品属性模板属性对象 dhc_product_property_table_detail
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
public class DhcProductPropertyTableDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 区域id */
    private Long productPropertyTableDetailId;

    /** 版本号 */
    @Excel(name = "版本号")
    private Long revision;

    /** 分组名称 */
    @Excel(name = "分组名称")
    private String groupName;

    /** 属性排序 */
    @Excel(name = "属性排序")
    private Long propertyIndex;

    /** 显示名称 */
    @Excel(name = "显示名称")
    private String propertyName;

    /** 属性类型(INT,TEXT,ENUM,DATE) */
    @Excel(name = "属性类型(INT,TEXT,ENUM,DATE)")
    private String propertyType;

    /** 属性关联数据字典CODE */
    @Excel(name = "属性关联数据字典CODE")
    private String propertyDictCode;

    /** 属性名称（字段英文标识符） */
    @Excel(name = "属性名称", readConverterExp = "字=段英文标识符")
    private String fieldName;

    /** 备注 */
    @Excel(name = "备注")
    private String memo;

    public void setProductPropertyTableDetailId(Long productPropertyTableDetailId) 
    {
        this.productPropertyTableDetailId = productPropertyTableDetailId;
    }

    public Long getProductPropertyTableDetailId() 
    {
        return productPropertyTableDetailId;
    }
    public void setRevision(Long revision) 
    {
        this.revision = revision;
    }

    public Long getRevision() 
    {
        return revision;
    }
    public void setGroupName(String groupName) 
    {
        this.groupName = groupName;
    }

    public String getGroupName() 
    {
        return groupName;
    }
    public void setPropertyIndex(Long propertyIndex) 
    {
        this.propertyIndex = propertyIndex;
    }

    public Long getPropertyIndex() 
    {
        return propertyIndex;
    }
    public void setPropertyName(String propertyName) 
    {
        this.propertyName = propertyName;
    }

    public String getPropertyName() 
    {
        return propertyName;
    }
    public void setPropertyType(String propertyType) 
    {
        this.propertyType = propertyType;
    }

    public String getPropertyType() 
    {
        return propertyType;
    }
    public void setPropertyDictCode(String propertyDictCode) 
    {
        this.propertyDictCode = propertyDictCode;
    }

    public String getPropertyDictCode() 
    {
        return propertyDictCode;
    }
    public void setFieldName(String fieldName) 
    {
        this.fieldName = fieldName;
    }

    public String getFieldName() 
    {
        return fieldName;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productPropertyTableDetailId", getProductPropertyTableDetailId())
            .append("revision", getRevision())
            .append("groupName", getGroupName())
            .append("propertyIndex", getPropertyIndex())
            .append("propertyName", getPropertyName())
            .append("propertyType", getPropertyType())
            .append("propertyDictCode", getPropertyDictCode())
            .append("fieldName", getFieldName())
            .append("memo", getMemo())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
